{% extends 'base.html.twig' %}

{% block body %}

    {% include 'componants/header.html.twig' %}

    <div class="container mt-3">
        <h3 class="mb-3">Liste des catégories :</h3>
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Titre</th>
                <th scope="col">description</th>
                <th scope="col">Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr>
                    <th scope="row">{{ category.id }}</th>
                    <td>{{ category.title }}</td>
                    <td>{{ category.description }}</td>
                    <td>
                        <a href="{{ path('deleteCategory', { id: category.id }) }}" class="btn btn-outline-danger btn-sm">Supprimer</a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}
